/* nav */
nav {
    height: 8vh;
    background-color: #2b1a4b;
}
/* imagem nav */
.center-img-cont {  
    display: block;
    margin-right: auto;
    margin-left: auto;
  }
.container-img-center {
    padding-top: 80px;
    display: block;
}

/* artigos */
.txtartigos {
    text-align: center;
    font-family: Sans-serif, Serif;
    font-size: 40px;
    color: rgb(3, 3, 12);
}
.textoartigo {
    font-family: 'Lucida Sans Regular', serif;
}
h4 {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Verdana, sans-serif;
}
.artigos {
    margin-top: 7%;
    background-color: rgb(233, 227, 227);
    padding-bottom: 10%;
}
.flexartigos {
    display: flex;
    justify-content: center;
    flex-direction: row;
    gap: 10px;
    object-fit: cover;
}
.cardartigos {
    box-shadow: 4px 4px 8px 0px rgba(0,0,0,0.2);
    transition: 0.3s;
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
    background-color: #c1bdd1;
}
.cardartigos a {
    text-decoration: none;
    color: #6e6c6c;

}
  .cardartigos:hover {
    box-shadow: 8px 8px 16px 8px rgba(0,0,0,0.2);
}
  .cardartigotxt {
    padding: 10px 16px;
}

/* artigos 2 */
.flexartigos2 {
    display: flex;
    justify-content: center;
    flex-direction: row;
    gap: 20px;
    object-fit: cover;
    margin-top: 5%;

}



/* footer */
footer {
    background-color: #575e7e;
    box-shadow: 8px 8px 16px 8px rgba(0,0,0,0.2);
    font-family: 'Poppins-Light';
}
footer a {
    color: #000000;

}
.imgfooter {
    width: 10%;
    margin: 0;
    padding:0;
}
.flexfooter {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-left: 10%;
    text-decoration: none;
    font-family: 'Poppins-Light';
    padding-left: 5%;
    padding-right: 5%;
}



/*LadoaLado*/
.contatolado {
    height: 55%;
    width: 45%;
    border-radius: 20px;
    position: absolute;
    top: 45%;
    left: 75%;
    transform: translate(-50%, -50%);
    box-shadow: 1px 1px 5px 1px rgba(0, 0, 0, 0.75);
    background-color: #9787872c;
}
.gradetitulo {
    text-align: center;
    font-family: Verdana, sans-serif;
    font-size: 40px;
    color: rgb(30, 83, 30);
}
.grade {
    text-align: center;
    font-family: sans-serif;
}
#imglogodentro {
    display: inline;
    width: 10%;
    margin-left: 5%;
    margin-right: 100%;
    margin-top: 10%;
}

/* Movie */
.txtmovie {
    text-align: center;
    font-family: Sans-serif, Serif;
    font-weight: bold;
    font-size: 40px;
    margin-top: 10%;
    color: rgb(0, 0, 0);
}
.moviecenter {
    gap: 10%;
    margin-bottom: 20%;
}
.moviecentersection {
   margin-left: 10%;
}
.moviefix {
    box-shadow: 10px 40px 8px 4px rgba(37, 20, 20, 0.2);
    width:80%;
    display: flex;
    gap: 10px;
}
.movietxt {
    font-family: 'Poppins-Light';
    font-size: 18px;
    background-color: #575e7e;
}
.movietxt a {
    border: none;
    color: rgb(211, 192, 192);
    padding: 16px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    transition-duration: 0.4s;
    cursor: pointer;
    background-color: rgb(186, 173, 233);
  color: black;
  border: 2px solid #555555;
}
.movietxt a:hover {
        background-color: #555555;
        color: white;
}
.txtrua {
    color: #000000;
    font-family: 'Poppins-Light';
}
#textalt {
    text-align: center;
    font-size: 30px;
    color: #000000;
    font-family: 'Poppins-Light';

}

/* moviesection*/
.moviesection1 {
    background-image: url(/img/filmes/Homem-Aranha-Atraves-do-Aranhaverso-poster.webp);
    background-size: cover;
}
.moviesection2 {
    background-image: url(/img/filmes/divertida-mente2-poster.jpg);
    background-size: cover;
}
.moviesection3 {
    background-image: url(/img/filmes/deadpool-and-wolverine-poster.jpg);
    background-size: cover;
}
.moviesection4 {
    background-image: url(/img/filmes/alien-romulus-poster.jpg);
    background-size: cover;
}
.moviesection5 {
    background-image: url(/img/filmes/meu-malvado-favorito-poster.jpg);
    background-size: cover;
}
.moviesection6 {
    background-image: url(/img/filmes/nao-fale-mal-poster.jpg);
    background-size: cover;
}
.moviesection7 {
    background-image: url(/img/filmes/batman-poster.jpg);
    background-size: cover;
}
.moviesection8 {
    background-image: url(/img/filmes/robo-selvagem-poster.jpg);
    background-size: cover;
}
.moviesection9 {
    background-image: url(/img/filmes/os-fantasmas-ainda-se-divertem-beetlejuice-beetlejuice-poster.webp);
    background-size: cover;
}
.moviesection10 {
    background-image: url(/img/filmes/transformers-one-poster.jpg);
    background-size: cover;
}
.moviesection11 {
    background-image: url(/img/filmes/Até\ o\ Último\ Homem-poster.webp);
    background-size: cover;
}
.moviesection12 {
    background-image: url(/img/filmes/Matrix-poster.jpeg);
    background-size: cover;
}
.moviesection13 {
    background-image: url(/img/filmes/Procurando\ Nemo-poster.jpg);
    background-size: cover;
}
.moviesection14 {
    background-image: url(/img/filmes/Star\ Wars\ O\ Despertar\ da\ Força-poster.jpg);
    background-size: cover;
}
.moviesection15 {
    background-image: url(/img/filmes/O\ Quarto\ de\ Jack-poster.webp);
    background-size: cover;
}
.moviesection16 {
    background-image: url(/img/filmes/Viva\ -\ A\ Vida\ é\ uma\ Festa-poster.jpg);
    background-size: cover;
}
.moviesection17 {
    background-image: url(/img/filmes/Interestelar-poster.jpg);
    background-size: cover;
}
.moviesection18 {
    background-image: url(/img/filmes/Histórias\ Cruzadas-poster.jpg);
    background-size: cover;
}
.moviesection19 {
    background-image: url(/img/filmes/Logan-poster.jpg);
    background-size: cover;
}
.moviesection20 {
    background-image: url(/img/filmes/A\ Origem-poster.jpg);
    background-size: cover;
}

/* footlogin */
.footlogin {
    position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
}

/*section login */
.sectionlogin {
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    display: block;
    font-family: 'Poppins-Light';
}
.sectionlogin form {
    margin-left: 10%;
    margin-right: 10%;
    background-color: #575e7e;
    border-radius: 20px;
    box-shadow: 8px 8px 16px 8px rgba(0,0,0,0.2);
}
form {
    text-align: center;
}
input {
    background-color: #6d5d8a2a;
    border-radius: 10px;
}
input:hover {
    border: 2px #000000;
    border-radius: 5px;
}
section label {
    font-weight: bolder;
}
section a {
    text-decoration: none;
}
section a:hover {
    color: #2b1a4b;
}


/* reponsive */ 
@media only screen and (max-width: 768px) {
    nav {
        height: 12vh;
        }
    .container-img-center {
        display: none;
    }
    .txtartigos {
        text-align: center;
        font-family: Sans-serif, Serif;
        font-size: 40px;
        color: rgb(3, 3, 12);
    }
    .textoartigo {
        font-family: 'Lucida Sans Regular', serif;
    }
    h4 {
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Verdana, sans-serif;
    }
    .artigos {
        margin-top: 50%;
        background-color: rgb(233, 227, 227);
        padding-bottom: 10%;
        display: grid;
        margin-right: auto;
    }
    .flexartigos {
        display: grid;
        justify-content: center;
        object-fit: cover;
    }
    .cardartigos {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-color: #c1bdd1;
    }
    .cardartigos a {
        text-decoration: none;
        color: #6e6c6c;
    }
    section.ocultimg {
        display: none;
    }
      .cardartigos:hover {
        box-shadow: 8px 8px 16px 8px rgba(0,0,0,0.2);
    }
      .cardartigotxt {
        padding: 10px 16px;
    }
    
    /* artigos 2 */
    .flexartigos2 {
        display: grid;
        justify-content: center;
        flex-direction: row;
        gap: 20px;
        object-fit: cover;
        margin-top: 5%;
    }
    .imgfooter {
        display: none;
    }
        /*movie description */
        .moviecenter {
            gap: 10%;
            margin-bottom: 20%;
        }
        .moviecentersection {
            margin: auto;
            margin-top: 10%;
            display: grid;
        }
        .moviefix {
            width:auto;
            display: flex;
        }
        .movietxt {
            font-family: 'Poppins-Light';
            font-size: 15px;
            background-color: #575e7e;
        }
            /*section login */
    .sectionlogin {
        margin-top: 30%;
        margin-left: auto;
        margin-right: auto;
        display: block;
        font-family: 'Poppins-Light';
    }

}

/* media query mobile */
@media only screen and (max-width: 600px) {
    /* nav */
    nav {
    height: 14vh;
    }

    .center-img-cont {  
        display: none;
      }
    .container-img-center {
        display: none;
    }

    .txtartigos {
        text-align: center;
        font-family: Sans-serif, Serif;
        font-size: 40px;
        color: rgb(3, 3, 12);
    }
    .textoartigo {
        font-family: 'Lucida Sans Regular', serif;
    }
    h4 {
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Verdana, sans-serif;
    }
    .artigos {
        margin-top: 30%;
        background-color: rgb(233, 227, 227);
        padding-bottom: 10%;
        margin-left: auto;
        margin-right: auto;
    }
    .flexartigos {
        display: grid;
        justify-content: center;
        object-fit: cover;
    }
    .cardartigos {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-color: #c1bdd1;
    }
    .cardartigos a {
        text-decoration: none;
        color: #6e6c6c;
    }
      .cardartigotxt {
        padding: 10px 16px;
    }
    .flexartigos2 {
        display: grid;
        justify-content: center;
        flex-direction: row;
        gap: 20px;
        object-fit: cover;
        margin-top: 5%;
    }
    footer {
        display: none;
    }

    /*section login */
    .sectionlogin {
        margin-top: 40%;
        margin-left: auto;
        margin-right: auto;
        display: block;
        font-family: 'Poppins-Light';
    }
    
    /* imagem nav */
    .navbar-brand {
        display: none;
    }
    .responsive-nav {
        padding: auto;
    }

    /*movie description */
    .moviecenter {
        gap: 10%;
        margin-bottom: 20%;
    }
    .moviecentersection {
        margin: auto;
        margin-top: 20%;
    }
    .moviefix {
        width: auto;
        display: grid;
    }
    .movietxt {
        font-family: 'Poppins-Light';
        font-size: 15px;
        background-color: #575e7e;
    }
    iframe {
        margin: auto;
    }
}
/*qrCode - Esconder */
  #qrCode {
            display: none; /* Escondido inicialmente */
            text-align: center;
            margin-top: 20px;
            margin-top: 20vh;
            margin-bottom: 30vh;
        }